org.custommonkey.xmlunit.jaxp13

## Class Jaxp13XpathEngine

- java.lang.Object
- - org.custommonkey.xmlunit.jaxp13.Jaxp13XpathEngine

All Implemented Interfaces:
  XpathEngine

    public class Jaxp13XpathEngine
    extends java.lang.Object
    implements XpathEngine

XPath engine based on javax.xml.xpath.

### Constructor Summary

Constructors
Constructor and Description
`Jaxp13XpathEngine()`

### Method Summary

Methods
`java.lang.String` `evaluate(java.lang.String select, org.w3c.dom.Document document)` Evaluate the result of executing the specified xpath syntax `select` expression on the specified document
`org.w3c.dom.NodeList` `getMatchingNodes(java.lang.String select, org.w3c.dom.Document document)` Execute the specified xpath syntax `select` expression on the specified document and return the list of nodes (could have length zero) that match
`void` `setNamespaceContext(NamespaceContext ctx)` Establish a namespace context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Jaxp13XpathEngine

    public Jaxp13XpathEngine()
                      throws ConfigurationException

Throws:
  `ConfigurationException`

### Method Detail

#### getMatchingNodes

    public org.w3c.dom.NodeList getMatchingNodes(java.lang.String select,
                                        org.w3c.dom.Document document)
                                          throws XpathException

Execute the specified xpath syntax `select` expression on the specified document and return the list of nodes (could have length zero) that match

Specified by:
  `getMatchingNodes` in interface `XpathEngine`
Parameters:
  `select` -
  `document` -
Returns:
  list of matching nodes
Throws:
  `XpathException`

#### evaluate

    public java.lang.String evaluate(java.lang.String select,
                            org.w3c.dom.Document document)
                              throws XpathException

Evaluate the result of executing the specified xpath syntax `select` expression on the specified document

Specified by:
  `evaluate` in interface `XpathEngine`
Parameters:
  `select` -
  `document` -
Returns:
  evaluated result
Throws:
  `TransformerException`
  `TransformerConfigurationException`
  `XpathException`

#### setNamespaceContext

    public void setNamespaceContext(NamespaceContext ctx)

Description copied from interface: `XpathEngine`
Establish a namespace context.

Specified by:
  `setNamespaceContext` in interface `XpathEngine`